yy_buffer_state Struct Reference

## Data Fields

FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
yy_size_t | yy_buf_size
int | yy_n_chars
int | yy_is_our_buffer
int | yy_is_interactive
int | yy_at_bol
int | yy_bs_lineno
| The line count.
int | yy_bs_column
| The column count.
int | yy_fill_buffer
int | yy_buffer_status

## Detailed Description

Definition at line 215 of file jsgf_scanner.c.

## Field Documentation

## yy_at_bol

int yy_buffer_state::yy_at_bol

Definition at line 249 of file jsgf_scanner.c.

## yy_bs_column

int yy_buffer_state::yy_bs_column

The column count.

Definition at line 252 of file jsgf_scanner.c.

## yy_bs_lineno

int yy_buffer_state::yy_bs_lineno

The line count.

Definition at line 251 of file jsgf_scanner.c.

## yy_buf_pos

char * yy_buffer_state::yy_buf_pos

Definition at line 220 of file jsgf_scanner.c.

## yy_buf_size

yy_size_t yy_buffer_state::yy_buf_size

Definition at line 225 of file jsgf_scanner.c.

## yy_buffer_status

int yy_buffer_state::yy_buffer_status

Definition at line 259 of file jsgf_scanner.c.

## yy_ch_buf

char * yy_buffer_state::yy_ch_buf

Definition at line 219 of file jsgf_scanner.c.

## yy_fill_buffer

int yy_buffer_state::yy_fill_buffer

Definition at line 257 of file jsgf_scanner.c.

## yy_input_file

FILE * yy_buffer_state::yy_input_file

Definition at line 217 of file jsgf_scanner.c.

## yy_is_interactive

int yy_buffer_state::yy_is_interactive

Definition at line 243 of file jsgf_scanner.c.

## yy_is_our_buffer

int yy_buffer_state::yy_is_our_buffer

Definition at line 236 of file jsgf_scanner.c.

## yy_n_chars

int yy_buffer_state::yy_n_chars

Definition at line 230 of file jsgf_scanner.c.

The documentation for this struct was generated from the following files:

- src/libsphinxbase/lm/jsgf_scanner.c
- src/libsphinxbase/lm/jsgf_scanner.h